> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interest over time

> Interest over time



## OpenAPI

````yaml GET /v1/google/trends/interest
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper API
  version: 1.0.0
  description: >-
    Structured JSON APIs for 16 Google product APIs: Search, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products.
servers:
  - url: https://scrapebadger.com
security: []
paths:
  /v1/google/trends/interest:
    get:
      tags:
        - Google Trends
      summary: Interest over time
      operationId: trends_interest_v1_google_trends_interest_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: Search terms
            title: Q
          description: Search terms
        - name: geo
          in: query
          required: false
          schema:
            type: string
            default: ''
            title: Geo
        - name: date
          in: query
          required: false
          schema:
            type: string
            default: today 12-m
            title: Date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response Trends Interest V1 Google Trends Interest Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````